var mysql = require('promise-mysql');
var config = require('wowjp-bots/src/config.json');



class Database {
    createDB() {
        var con = mysql.createPool({
            host: config.database.host,
            user: config.database.user,
            password: config.database.password
        });

        con.query("CREATE DATABASE " + config.database.database, function (err, result) {
            if (err) throw err;
            con.end();
            console.log("База данных " + config.database.database + " успешно создана!");
        });
    }

    createTables() {
        var con = mysql.createPool(config.database);

        var sql = "CREATE TABLE users (" +
            "id INT AUTO_INCREMENT PRIMARY KEY, " +
            "user_id BIGINT UNIQUE KEY, " +
            "name VARCHAR(255), " +
            "level BIGINT," +
            "xp BIGINT," +
            "xp_max BIGINT," +
            "xp_mult BIGINT," +
            "gold BIGINT," +
            "hp BIGINT," +
            "hp_max BIGINT," +
            "mp BIGINT," +
            "mp_max BIGINT," +
            "attack_min BIGINT," +
            "attack_max BIGINT," +
            "spell_attack_min BIGINT," +
            "spell_attack_max BIGINT," +
            "spellcost BIGINT," +
            "spell_delay BIGINT," +
            "attack_delay BIGINT" +
            ")";

        con.query(sql, function (err, result) {
            if (err) throw err;
            console.log("Таблица users добавлена!");
        });

        sql = "CREATE TABLE stats (" +
            "id INT AUTO_INCREMENT PRIMARY KEY, " +
            "xp BIGINT," +
            "xp_mult DECIMAL(11,2)," +
            "hp BIGINT," +
            "mp BIGINT," +
            "attack_min BIGINT," +
            "attack_max BIGINT," +
            "spell_attack_min BIGINT," +
            "spell_attack_max BIGINT," +
            "spellcost BIGINT," +
            "spell_delay BIGINT," +
            "attack_delay BIGINT" +
            ")";
        
        con.query(sql, function (err, result) {
            if (err) throw err;
            console.log("Таблица stats добавлена!");
        });
    }
}

module.exports = Database;


